summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2015-07-22 14:25:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-22 14:25:58 +0700
commit369b96c1da3137d2ae200fbc65310877aed011b1 (patch)
treea04d291556b2510184beff84a610a2204eb4eb16 /office
parent06f87caa73b23ab33f842013f390d962301b9dd4 (diff)
downloadslackbuilds-369b96c1da3137d2ae200fbc65310877aed011b1.tar.gz
slackbuilds-369b96c1da3137d2ae200fbc65310877aed011b1.tar.xz
office/LanguageTool: Added (style and grammar checker).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/LanguageTool/LanguageTool.SlackBuild82
-rw-r--r--office/LanguageTool/LanguageTool.desktop9
-rw-r--r--office/LanguageTool/LanguageTool.info10
-rw-r--r--office/LanguageTool/LanguageTool.pngbin0 -> 7227 bytes
-rw-r--r--office/LanguageTool/README2
-rw-r--r--office/LanguageTool/doinst.sh3
-rw-r--r--office/LanguageTool/languagetool-cli.sh4
-rw-r--r--office/LanguageTool/languagetool-gui.sh4
-rw-r--r--office/LanguageTool/languagetool-srv.sh4
-rw-r--r--office/LanguageTool/slack-desc19
10 files changed, 137 insertions, 0 deletions
diff --git a/office/LanguageTool/LanguageTool.SlackBuild b/office/LanguageTool/LanguageTool.SlackBuild
new file mode 100644
index 0000000000..b7c9a6be51
--- /dev/null
+++ b/office/LanguageTool/LanguageTool.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for LanguageTool
+
+# Copyright 2015 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=LanguageTool
+VERSION=${VERSION:-3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/usr/share/$PRGNAM/libs
+# copy data
+cp -f libs/*.jar $PKG/usr/share/$PRGNAM/libs
+cp -rf META-INF org $PKG/usr/share/$PRGNAM
+# install launchers
+install -D -m0644 *.jar $PKG/usr/share/$PRGNAM
+install -D -m0755 $CWD/${PRGNAM,,}-cli.sh $PKG/usr/bin/${PRGNAM,,}-cli
+install -D -m0755 $CWD/${PRGNAM,,}-srv.sh $PKG/usr/bin/${PRGNAM,,}-srv
+install -D -m0755 $CWD/${PRGNAM,,}-gui.sh $PKG/usr/bin/${PRGNAM,,}-gui
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# install .desktop
+mkdir -p $PKG/usr/share/applications
+install -D -m644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+# install icon
+mkdir -p $PKG/usr/share/pixmaps/
+install -D -m644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md CHANGES* COPYING.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/LanguageTool/LanguageTool.desktop b/office/LanguageTool/LanguageTool.desktop
new file mode 100644
index 0000000000..e442758443
--- /dev/null
+++ b/office/LanguageTool/LanguageTool.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name= LanguageTool
+Comment= An open source language checker
+Exec=languagetool-gui
+Icon=LanguageTool
+Terminal=false
+Type=Application
+Categories=Office;Tool;
+GenericName=Office
diff --git a/office/LanguageTool/LanguageTool.info b/office/LanguageTool/LanguageTool.info
new file mode 100644
index 0000000000..eaa68f0318
--- /dev/null
+++ b/office/LanguageTool/LanguageTool.info
@@ -0,0 +1,10 @@
+PRGNAM="LanguageTool"
+VERSION="3.0"
+HOMEPAGE="https://www.languagetool.org/"
+DOWNLOAD="https://www.languagetool.org/download/LanguageTool-3.0.zip"
+MD5SUM="931c9852dde0e14adcc5b22f3c311131"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/office/LanguageTool/LanguageTool.png b/office/LanguageTool/LanguageTool.png
new file mode 100644
index 0000000000..43312824bc
--- /dev/null
+++ b/office/LanguageTool/LanguageTool.png
Binary files differ
diff --git a/office/LanguageTool/README b/office/LanguageTool/README
new file mode 100644
index 0000000000..592f3eaf50
--- /dev/null
+++ b/office/LanguageTool/README
@@ -0,0 +1,2 @@
+LanguageTool is an Open Source proof­reading program for English, French, German,
+Polish, and more than 20 other languages.
diff --git a/office/LanguageTool/doinst.sh b/office/LanguageTool/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/LanguageTool/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/LanguageTool/languagetool-cli.sh b/office/LanguageTool/languagetool-cli.sh
new file mode 100644
index 0000000000..4d3d0b839b
--- /dev/null
+++ b/office/LanguageTool/languagetool-cli.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /usr/share/LanguageTool/
+java -jar languagetool-commandline.jar
diff --git a/office/LanguageTool/languagetool-gui.sh b/office/LanguageTool/languagetool-gui.sh
new file mode 100644
index 0000000000..c511c43216
--- /dev/null
+++ b/office/LanguageTool/languagetool-gui.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /usr/share/LanguageTool/
+java -jar languagetool.jar
diff --git a/office/LanguageTool/languagetool-srv.sh b/office/LanguageTool/languagetool-srv.sh
new file mode 100644
index 0000000000..cc6469f32f
--- /dev/null
+++ b/office/LanguageTool/languagetool-srv.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+cd /usr/share/LanguageTool/
+java -jar languagetool-server.jar
diff --git a/office/LanguageTool/slack-desc b/office/LanguageTool/slack-desc
new file mode 100644
index 0000000000..1a1367176e
--- /dev/null
+++ b/office/LanguageTool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+LanguageTool: LanguageTool (style and grammar checker)
+LanguageTool:
+LanguageTool: LanguageTool is an Open Source proof­reading program for English,
+LanguageTool: French, German, Polish, and more than 20 other languages.
+LanguageTool:
+LanguageTool: Homepage: https://www.languagetool.org/
+LanguageTool:
+LanguageTool:
+LanguageTool:
+LanguageTool:
+LanguageTool: